RMMOD(8)

NAZWA
rmmod - prosty program do usuwania modułu z jądra Linux

SKŁADNIA

rmmod [-f] [-w] [-s] [-v] [nazwa-modułu]

OPIS

rmmod jest bardzo prostym programem do usuwania modułu (gdy obsługa usuwania załadowanego modułu jest dostępna) z jądra. Większość użytkowników będzie wolała użyć do tego celu modprobe(8) z opcją -r.

OPCJE

-v --verbose
    Wypisuje informacje o czynnościach wykonywanych przez program. rmmod wypisuje zwykle komunikaty jedynie, gdy występują jakieś problemy.

-f --force
    Ta opcja może być ekstremalnie niebezpieczna: nie odnosi skutku, chyba że podczas kompilacji jądra ustawiono opcje CONFIG_MODULE_FORCE_UNLOAD. Przy użyciu tej opcji, można usunąć moduły, które są w użyciu lub takie, które nie zostały zaprojektowane do usuwania albo zostały oznaczone jako niebezpieczne (patrz lsmod(8)).

-w --wait
    rmmod zwykle odmówi usunięcia modułów, które są używane. Z tą opcją, rmmod może wyizolować moduł i poczekać, aż nie przestanie być on używany. W ten sposób nic nowego nie będzie mogło zacząć używać wskazanego modułu, ale do użytkownika należy sprawdzenie, czy aktualni użytkownicy zakończyli korzystanie z modułu. Podręcznik lsmod(8) zawiera informacje o przykładowych zastosowaniach.

-s --syslog
    Wysyła błędy do sysloga, zamiast na standardowe wyjście błędów.

-V --version
    Wyświetla informacje o wersji i kończy działanie.

PRAWA AUTORSKIE

Pierwotnie: Copyright 2002, Rusty Russell, IBM Corporation. Strona podręcznika jest obecnie zarządzana przez Jona Mastersa i innych.

ZOBACZ TAKŻE

modprobe(8), insmod(8), lsmod(8) modinfo(8)

AUTORZY

Jon Masters <jcm@jonmasters.org>
    Deweloper

Lucas De Marchi <lucas.demarchi@profusion.mobi>
    Deweloper

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Andrzej M. Krzysztofowicz (PTM) <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 9 oryginału.